# comment out when not prerel
#define prerel rc1

# rel for bumping
%define rel 3

Summary:	A drop-down terminal for Gnome Desktop Environment
Name:		guake
Version:	3.7.0
Release:	%mkrel %{?prerel:0.%prerel.}%{rel}
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://guake-project.org/
Source0:	https://github.com/Guake/guake/archive/%{version}%{?prerel:-%prerel}/guake-%{version}%{?prerel:-%prerel}.tar.gz
BuildArch:	noarch
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(pbr)
BuildRequires:	python3dist(setuptools)
BuildRequires:	git

Requires:	vte
Requires:	typelib(Keybinder)
Requires:	typelib(Notify)
Requires:	typelib(Vte)
Requires:	typelib(Pango)
Requires:	python3dist(pycairo)
Requires:	python3dist(pygobject)
Requires:	python3dist(dbus-python) >= 1.2.4
Requires:	libnotify

%description
Guake is a drop-down terminal for Gnome Desktop Environment, so you just
need to press a key to invoke him, and press again to hide.

%prep
%autosetup -p1

%build
%make_build PREFIX=%{_prefix}

%install
PBR_VERSION=%{version} %make_install PREFIX=%{_prefix} COMPILE_SCHEMA=0

%find_lang %{name}

rm -rf %{buildroot}%{_datadir}/guake/po

%files -f %{name}.lang
%{python3_sitelib}/%{name}
%{python3_sitelib}/*egg-info
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/glib-2.0/schemas/org.guake.gschema.xml
%{_datadir}/pixmaps/guake.png
%{_metainfodir}/guake.appdata.xml


%changelog
* Wed Jul 22 2020 ovitters <ovitters> 3.7.0-3.mga8
+ Revision: 1608017
- rebuild to get rid of pythonegg deps

* Wed Apr 29 2020 wally <wally> 3.7.0-2.mga8
+ Revision: 1573320
- fix runtime paths

* Wed Apr 29 2020 wally <wally> 3.7.0-1.mga8
+ Revision: 1573277
- new version 3.7.0

* Sun Feb 16 2020 umeabot <umeabot> 3.0.4-6.mga8
+ Revision: 1533424
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 3.0.4-5.mga8
+ Revision: 1444285
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 3.0.4-4.mga7
+ Revision: 1355031
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0.4-3.mga7
+ Revision: 1278645
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 tarakbumba <tarakbumba> 3.0.4-2.mga7
+ Revision: 1210936
- Fix libkeybinder3.0_0 requires which prevents installation on 64bit system

* Sat Mar 17 2018 tarakbumba <tarakbumba> 3.0.4-1.mga7
+ Revision: 1210210
- Updated to 3.0.4 version

* Sat Dec 09 2017 wally <wally> 0.8.11-1.mga7
+ Revision: 1181815
- new version 0.8.11

* Sat Jan 07 2017 wally <wally> 0.8.8-1.mga6
+ Revision: 1080531
- new version 0.8.8

* Mon Aug 22 2016 wally <wally> 0.8.7-1.mga6
+ Revision: 1047850
- new version 0.8.7

* Tue Mar 15 2016 wally <wally> 0.8.4-1.mga6
+ Revision: 991076
- new version 0.8.4
- build as noarch pkg

* Mon Feb 15 2016 umeabot <umeabot> 0.8.3-2.mga6
+ Revision: 960592
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 wally <wally> 0.8.3-1.mga6
+ Revision: 894975
- new version 0.8.3

* Thu Oct 22 2015 wally <wally> 0.8.1-1.mga6
+ Revision: 894207
- new version 0.8.1

* Sat Aug 22 2015 wally <wally> 0.8.0-2.mga6
+ Revision: 868147
- add missing requires for python-keybinder (mga#16603)

* Sun Aug 16 2015 wally <wally> 0.8.0-1.mga6
+ Revision: 865087
- new version 0.8.0

* Sun Jun 21 2015 wally <wally> 0.7.2-1.mga6
+ Revision: 837576
- new version 0.7.2

* Wed Feb 18 2015 wally <wally> 0.5.2-3.mga5
+ Revision: 815559
- one more release tag fix

* Wed Feb 18 2015 wally <wally> 0.5.2-2.mga5
+ Revision: 815526
- fix release and source tags mistakenly changed in previous release

* Tue Feb 17 2015 tarakbumba <tarakbumba> 0.5.2-1.mga5
+ Revision: 815416
- Update to 0.5.2 version (closes mga#15306)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-0.rc1.3.mga5
+ Revision: 738992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-0.rc1.2.mga5
+ Revision: 680038
- Mageia 5 Mass Rebuild

* Mon Jul 28 2014 wally <wally> 0.5.0-0.rc1.1.mga5
+ Revision: 657781
- new version 0.5.0 rc1

* Sat May 31 2014 pterjan <pterjan> 0.4.4-5.mga5
+ Revision: 628246
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 523773
- Mageia 4 Mass Rebuild

* Fri May 24 2013 zezinho <zezinho> 0.4.4-3.mga4
+ Revision: 426901
- Guake needs python-pyxdg as requires

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 352941
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 wally <wally> 0.4.4-1.mga3
+ Revision: 275743
- new version 0.4.4

* Thu Jun 07 2012 wally <wally> 0.4.3-1.mga3
+ Revision: 257079
- new version 0.4.3
- drop unneeded patches
- require pygtk2.0-libglade (mga#5907)

* Fri Apr 20 2012 wally <wally> 0.4.2-5.mga2
+ Revision: 232052
- add P1 to fix glib includes
- clean BRs and .spec
- require gnome-python-gconf

* Thu May 05 2011 wally <wally> 0.4.2-4.mga1
+ Revision: 95138
- require python-notify (mga#1154)

* Thu Mar 03 2011 wally <wally> 0.4.2-3.mga1
+ Revision: 63258
- drop buildroot definition
- clean .spec
- imported package guake


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 594691
- rebuild for python 2.7

* Tue Oct 12 2010 Jani Välimaa <wally@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 585198
- new version 0.4.2
- add patch from Fedora, fixes Fedora bug #626303
- clean spec a bit

* Fri Mar 05 2010 Jani Välimaa <wally@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 514480
- fix file list
- new version 0.4.1
- fix url

  + Juan Luis Baptiste <juancho@mandriva.org>
    - Missing python-dbus in Requires, without it fails when run.

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 421216
- Update to new version 0.4.0

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-2mdv2009.1
+ Revision: 347819
- rebuild for latest python

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 249719
- New version 0.3.1

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.3-1mdv2009.0
+ Revision: 238013
- import guake


